6.0.0-git
2019-07-19

[#3704] Re-write branch finding algorithm
Summary Re-write branch finding algorithm
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester selsky (at) columbia (dot) edu
Created 2006-03-28 (4861 days ago)
Due
Updated 2008-11-09 (3904 days ago)
Assigned 2006-05-08 (4820 days ago)
Resolved 2008-11-09 (3904 days ago)
Milestone
Patch No

History
2008-11-09 02:42:10 Chuck Hagenbuch Comment #11
State ⇒ Resolved
Reply to this comment
Calling this done.
2007-10-29 03:05:29 Chuck Hagenbuch Comment #10
Taken from Horde DevelopersHorde Developers
State ⇒ Stalled
Reply to this comment
I don't think this will happen anytime soon, and I'm not sure when 
it's going to be worth someone's time honestly.
2006-05-18 15:17:56 Chuck Hagenbuch Comment #9
Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
Reply to this comment
This is an issue for the VC:: package now.
2006-05-18 15:17:20 Chuck Hagenbuch Summary ⇒ Re-write branch finding algorithm
 
2006-05-08 15:34:31 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2006-04-13 21:00:26 Jan Schneider Comment #8 Reply to this comment
Finally there are several branch points shown for FW_3 which is not
correct.
I either don't understand correctly, or I don't see this.
I don't see this anymore either. Well possible that I confused this 
with the different FW_3_RC* branches.
2006-04-13 17:39:57 Chuck Hagenbuch Comment #7 Reply to this comment
Yes, it should appear as a tag in the all-branches-view, like the
branch point of FRAMEWORK_3.
Our branch-finding relies on there being a branches: line in the log 
for the relevant revision, which the branch point for FRAMEWORK_3_0 
does not have. I guess we need to change how we find branches?
And in the branch view, it shouldn't show HEAD revisions after the
FW_3 branch point, which is the branch we branched FW_3_0 off.
This should be fixed now.
Finally there are several branch points shown for FW_3 which is not
correct.
I either don't understand correctly, or I don't see this.
2006-04-13 08:12:40 Jan Schneider Comment #6 Reply to this comment
Yes, it should appear as a tag in the all-branches-view, like the 
branch point of FRAMEWORK_3.

And in the branch view, it shouldn't show HEAD revisions after the 
FW_3 branch point, which is the branch we branched FW_3_0 off. Finally 
there are several branch points shown for FW_3 which is not correct.
2006-04-13 00:30:39 Chuck Hagenbuch Comment #5 Reply to this comment
Given that, is there actually any broken behavior here now?
2006-04-12 22:58:57 Jan Schneider Comment #4 Reply to this comment
There is nothing strange about it. The branch was created but there 
never was a change committed to that branch.
2006-04-03 18:38:30 Chuck Hagenbuch Comment #3
State ⇒ Feedback
Reply to this comment
Something is very odd in that file - looking directly at the ,v file 
in the repository, FRAMEWORK_3_0 shows up in the symbols section, but 
there's no revision in the file to match.



Having just HEAD would be a seperate enhancement, guess it makes sense.
2006-03-30 05:23:10 Matt Selsky Comment #2 Reply to this comment
Not sure if it is related or not, but there's no option to choose just 
the HEAD branch...
2006-03-28 18:43:07 Matt Selsky Comment #1
Type ⇒ Bug
State ⇒
Priority ⇒ 1. Low
Summary ⇒ Branch selector doesn't always work
Queue ⇒ Chora
Reply to this comment
On the file list page (eg: http://cvs.horde.org/ingo/docs/CHANGES):



1) Select the FRAMEWORK_3_0 branch in the drop-down

2) It shows the FRAMEWORK_3 branch instead

Saved Queries